Package Details: upwork 5.4.2.2-1

Git Clone URL: https://aur.archlinux.org/upwork.git (read-only, click to copy)
Package Base: upwork
Description: Desktop Application
Upstream URL: https://www.upwork.com/downloads/
Keywords: freelance job prod stable standard upwork
Licenses: custom
Conflicts: upwork-alpha
Submitter: lybin
Maintainer: lybin (msheremet)
Last Packager: msheremet
Votes: 59
Popularity: 1.73
First Submitted: 2015-05-05 17:51
Last Updated: 2020-06-17 23:17

Pinned Comments

msheremet commented on 2018-02-09 15:34

Please run following command before reporting out-of-date issues. And ALWAYS include this command output in such reports.

Command to check new version. Run this command in terminal as regular user: grep "_getVersionToDownload" ~/.Upwork/Upwork/Logs/upwork.2*.log | tail -n 1

This AUR package follows upstream Prod version.

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9 10 11 12 13 14 ... Next › Last »

lybin commented on 2016-04-07 07:55

@erkexzcx, I don't know how to solve your problem. I can say only use chrome as default if it is work well. Yes, this is a problem in the dependencies. Only wait new version of upwork or send message to support, but they don't care, we tried.

erkexzcx commented on 2016-04-06 20:10

XPCOMGlueLoad error for file /usr/lib/firefox/libxul.so:
/usr/share/upwork/libnss3.so: version `NSS_3.21' not found (required by /usr/lib/libssl3.so)
Couldn't load XPCOM.

Can anyone fix this error? Is it missing dependecy? Running this AUR version on XFCE4.

On XFCE4 when Google chrome in Default apps was set to default, it launched chrome, but when I set to Firefox (my primary web browser), it does not work by showing the following error.

lybin commented on 2016-01-06 15:47

@resetko, yes, fixed

resetko commented on 2016-01-05 16:35

Now getting in the end of every call of yaourt/pacman:

ldconfig: /usr/lib/libnss3.so is not a symbolic link
ldconfig: /usr/lib/libssl3.so is not a symbolic link
ldconfig: /usr/lib/libsoftokn3.so is not a symbolic link

i think it's related to upwork-nss

akegalj commented on 2016-01-05 13:56

@lybin:

> I fixed the problem with nss.
Thnx.

> The page you were looking for doesn't exist
Ups, the link has to be authorized. I have edited parent comment.

lybin commented on 2016-01-04 18:37

I fixed the problem with nss.

lybin commented on 2016-01-04 14:49

@akegalj, "The page you were looking for doesn't exist"
I'll try to fix this problem.

akegalj commented on 2016-01-04 14:00

upgrading nss from nss-3.20.1-1 to nss-3.21-1 broke the upwork with:

$ upwork
[0104/135734:ERROR:renderer_main.cc(226)] Running without renderer sandbox
[0104/135734:ERROR:renderer_main.cc(226)] Running without renderer sandbox
ATTENTION: default value of option force_s3tc_enable overridden by environment.
[0104/135735:WARNING:nss_ssl_util.cc(359)] Unknown SSL error -12218 mapped to net::ERR_SSL_PROTOCOL_ERROR

EDIT: Added description of error.

nsf commented on 2015-12-21 11:44

Hm, that's weird, because I was pretty sure I was using a stable one and it asked for an update. But thanks for letting me know.

lybin commented on 2015-12-21 04:31

***

Hello. 4.0.144.0 is beta channel. If you want to use stable version, remove ~/.Upwork/ directory and login again please, else there is beta channel https://aur.archlinux.org/packages/upwork-beta/

***